Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 87854 (radeonxineramacursor)

Summary: (radeon) screen blanks in dualhead when cursor moves from one head to another
Product: [Retired] Red Hat Linux Reporter: daryl herzmann <akrherz>
Component: XFree86Assignee: Mike A. Harris <mharris>
Status: CLOSED ERRATA QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: arechenberg, crl4, hugh, tfurnish-redhatforums
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: 4.3.0-2.90.43 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-11-27 22:44:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Patch that fixes this bug.
none
my XF86Config
none
XFree86.0.log none

Description daryl herzmann 2003-04-03 06:17:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
With my dual head ATI Radeon card, the RHS screen goes blank once the cursor
moves into it.  With the help of Jim Hayward on the shrike list, this was a
known bug in XFree and I have attached the patch he sent me.  I can't confirm
that it works, but he says it works for him!  I am working on recompiling the
SRPM as I type this tonight!

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1.Launch X
2. MOve cursor to RHS window
3.
    

Actual Results:  screen goes blank, monitor loses sync

Expected Results:  I should see my screen with the cursor in it :)

Additional info:

Big thanks to Jim on this one!  I thought I was doing something very wrong!

Comment 1 daryl herzmann 2003-04-03 06:18:28 UTC
Created attachment 90861 [details]
Patch that fixes this bug.

Comment 2 Mike A. Harris 2003-04-03 09:08:25 UTC
I'm not sure what you mean by "RHS screen".  Please attach your XFree86
config file and log file so I can attempt to reproduce the problem, and
also test and confirm the fix.

Thanks for the patch also.

Comment 3 daryl herzmann 2003-04-03 14:55:35 UTC
Created attachment 90864 [details]
my XF86Config

Comment 4 daryl herzmann 2003-04-03 14:56:14 UTC
Created attachment 90865 [details]
XFree86.0.log

Comment 5 daryl herzmann 2003-04-03 14:58:10 UTC
Sorry about the "RHS" term, I have read too many scientific publications! :)

RHS == Right Hand Side , like in equations.  Anyway, it the right hand side
monitor of my dual monitor display.

Comment 6 daryl herzmann 2003-04-03 21:23:23 UTC
I downloaded the SRPM from RHN, applied the patch, rebuild the RPM, installed
the RPM and am currently typing this from my RHS monitor! :)  PATCHWORKSFORME    

Comment 7 Dana Canfield 2003-04-09 20:56:28 UTC
Confirming that I have the same problem with the Radeon 7500 card.  For Mike,
from what I've read, you will be unable to reproduce the problem unless you're
using a dual-head Radeon card.  It is definitely related to the "fancy cursors"
as shutting them off fixes the problem, and because the problem doesn't occur
until a user logs in (you can move back and forth between screens all day on the
login screen).

Comment 8 Mike A. Harris 2003-04-10 20:55:04 UTC
I haven't tried to reproduce this problem yet, but the patch attached
appears reasonable.  I will try to reproduce the problem sometime soon,
and test the patch also.  Most likely it will be applied.

Could you let me know where the patch originated so I can provide proper
credit in the changelogs?

Thanks.

Comment 9 Jim Hayward 2003-04-11 01:46:14 UTC
Michel Dänzer posted the patch to XFree86 bugzilla. The link to the XFree86 bug
report is below.

http://bugs.xfree86.org//cgi-bin/bugzilla/show_bug.cgi?id=90

Comment 10 Mike A. Harris 2003-04-13 01:30:29 UTC
*** Bug 88748 has been marked as a duplicate of this bug. ***

Comment 11 Mike A. Harris 2003-04-13 01:41:53 UTC
Patch applied to 4.3.0-3.6 which will appear in rawhide sometime in the
future.

Comment 14 Mike A. Harris 2003-04-18 09:33:41 UTC
*** Bug 89060 has been marked as a duplicate of this bug. ***

Comment 15 daryl herzmann 2003-04-27 06:59:49 UTC
As was requested on the XFree list, I installed 4.3.0-5 and it resolves this
bug.  I really appreciate the help with this issue!

Comment 16 Mike A. Harris 2003-05-01 02:56:03 UTC
*** Bug 89872 has been marked as a duplicate of this bug. ***

Comment 17 Mike A. Harris 2003-05-01 02:58:44 UTC
Just a note to others searching bugzilla for this problem:

This bug affected all dualhead Radeon hardware, including Radeon VE / 7000,
Radeon 8500, Radeon 9000 / 9500 / 9700, FireGL 8700 / 8800, and any others
I've missed.

Again, it's fixed in rawhide, the current package is 4.3.0-6.

Comment 18 Trever Furnish 2003-05-07 21:21:35 UTC
I'll keep this short since I'm probably asking this via the wrong channel (a
closed bugzilla report), but I think this info would be helpful to others with
my experience level, so perhaps the info does belong in bugzilla...

Having same problem - one screen of dual-head radeon shuts off when mouse
switches screens - and although you folks seem to have found a fix, I'm not sure
how to apply it.

Mike Harris seems to have incorporated the fix into an updated package for
rawhide, but Mike, you only give a version number, not a package name.  What
package name is it (Just XFree86?)?  More importantly, where can a rawhide
package be obtained and should it apply cleanly to stock Redhat9 or will it
depend on other rawhide packages?

Daryl has attached an actual patch file, but I'm not sure what the proper
procedure is for rebuilding an RPM from the SRPM after applying a patch.  I can
probably find that one documented somewhere, so I'll look for that answer, but
any help would be appreciated (and may be nice for others stumbling in here).

Sorry if this is the wrong channel for asking such a question - feel free to
correct me.

Comment 19 Mike A. Harris 2003-05-07 21:56:47 UTC
You've correctly surmised that bugzilla is not a technical support forum
for Q and A.  Please use our mailing lists for these types of questions,
in order to achieve the best help possible.

Thanks.

Comment 20 D. Hugh Redelmeier 2003-11-27 20:46:28 UTC
Is this fixed for RHL9 with the XFree86 update?
        [RHSA-2003:288-01] Updated XFree86 packages provide security
and bug fixes

The announcement does not list buzilla reports that it addresses.

Comment 21 Mike A. Harris 2003-11-27 22:42:23 UTC
The latest RHL 9 erratum is almost identical to the XFree86 that
ships in Fedora Core 1, so any bugs that are fixed in Fedora Core 1
should now also be fixed in RHL 9 erratum.  The only differences
between the two are some libGL optimization patches which are only
available in Fedora Core 1's XFree86 due to compiler and glibc
dependancies the new optimizations require.

Hope this helps.


Comment 22 Mike A. Harris 2003-11-27 22:42:52 UTC
Updating resolution for consistency..

Comment 23 Mike A. Harris 2003-11-27 22:44:48 UTC
This bug was fixed originally in 4.3.0-3.6 in RAWHIDE, and all
releases since including Fedora Core 1.  The latest update of
XFree86-4.3.0-2.90.43 for RHL 9 also fixes this problem.